
import pathlib
from setuptools import setup, find_packages

HERE = pathlib.Path(__file__).parent

VERSION = '1.0.5'
PACKAGE_NAME = 'yelphelp'
AUTHOR = 'Noah Mott'
AUTHOR_EMAIL = 'noah.mott1@gmail.com'
URL = 'https://github.com/noahmott/yelphelp'

LICENSE = 'Apache License 2.0'
DESCRIPTION = 'A small scraping tool for Yelp'
LONG_DESCRIPTION = (HERE / "README.md").read_text()
LONG_DESC_TYPE = "text/markdown"

INSTALL_REQUIRES = [
      'numpy',
      'pandas',
      'requests',
      'beautifulsoup4',
      'regex'
]

setup(name=PACKAGE_NAME,
      version=VERSION,
      description=DESCRIPTION,
      long_description=LONG_DESCRIPTION,
      long_description_content_type=LONG_DESC_TYPE,
      author=AUTHOR,
      license=LICENSE,
      author_email=AUTHOR_EMAIL,
      url=URL,
      install_requires=INSTALL_REQUIRES,
      packages=find_packages()
      )